For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a rendered preview of an email template for a contact.

Required permissions: Create and edit email templates

get
Path parameters
templateIDstring · uuidRequired
referenceIDstring · uuidRequired
Query parameters
apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
referenceIDstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
tostringOptional
fromstringOptional
replystringOptional
subjectstringOptional
textstringOptional
htmlstringOptional
get/mail/templates/preview/{templateID}/{referenceID}
GET /mail/templates/preview/{templateID}/{referenceID}?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
  "referenceID": "00000000-0000-0000-0000-000000000000",
  "to": "text",
  "from": "text",
  "reply": "text",
  "subject": "text",
  "text": "text",
  "html": "text"
}

Last updated

Was this helpful?